RDKit::FMCS::ExecStatistics Struct Reference

`#include <DebugTrace.h>`

## Public Member Functions

| ExecStatistics ()

## Public Attributes

unsigned | TotalSteps
unsigned | MCSFoundStep
unsigned long long | MCSFoundTime
unsigned | InitialSeed
unsigned | MismatchedInitialSeed
unsigned | Seed
unsigned | RemainingSizeRejected
unsigned | SeedCheck
unsigned | SingleBondExcluded
unsigned | MatchCall
unsigned | MatchCallTrue
unsigned | FastMatchCall
unsigned | FastMatchCallTrue
unsigned | SlowMatchCallTrue
unsigned | ExactMatchCall
unsigned | ExactMatchCallTrue
unsigned | FindHashInCache
unsigned | HashKeyFoundInCache
unsigned | AtomCompareCalls
unsigned | BondCompareCalls
unsigned | AtomFunctorCalls
unsigned | BondFunctorCalls
unsigned | WrongCompositionRejected
unsigned | WrongCompositionDetected
unsigned | DupCacheFound
unsigned | DupCacheFoundMatch

## Detailed Description

Definition at line 102 of file DebugTrace.h.

## Constructor & Destructor Documentation

RDKit::FMCS::ExecStatistics::ExecStatistics | ( |  | ) |

inline

Definition at line 117 of file DebugTrace.h.

## Member Data Documentation

unsigned RDKit::FMCS::ExecStatistics::AtomCompareCalls

Definition at line 112 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::AtomFunctorCalls

Definition at line 113 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::BondCompareCalls

Definition at line 112 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::BondFunctorCalls

Definition at line 113 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::DupCacheFound

Definition at line 115 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::DupCacheFoundMatch

Definition at line 115 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::ExactMatchCall

Definition at line 110 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::ExactMatchCallTrue

Definition at line 110 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::FastMatchCall

Definition at line 109 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::FastMatchCallTrue

Definition at line 109 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::FindHashInCache

Definition at line 111 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::HashKeyFoundInCache

Definition at line 111 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::InitialSeed

Definition at line 105 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::MatchCall

Definition at line 108 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::MatchCallTrue

Definition at line 108 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::MCSFoundStep

Definition at line 103 of file DebugTrace.h.

unsigned long long RDKit::FMCS::ExecStatistics::MCSFoundTime

Definition at line 104 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::MismatchedInitialSeed

Definition at line 105 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::RemainingSizeRejected

Definition at line 106 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::Seed

Definition at line 106 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::SeedCheck

Definition at line 107 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::SingleBondExcluded

Definition at line 107 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::SlowMatchCallTrue

Definition at line 109 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::TotalSteps

Definition at line 103 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::WrongCompositionDetected

Definition at line 114 of file DebugTrace.h.

unsigned RDKit::FMCS::ExecStatistics::WrongCompositionRejected

Definition at line 114 of file DebugTrace.h.

The documentation for this struct was generated from the following file:

- DebugTrace.h